MyGUI::LayerItem Class Reference

`#include <MyGUI_LayerItem.h>`

Inheritance diagram for MyGUI::LayerItem:
[legend]

## Public Member Functions

ILayer * | getLayer () const
ILayerNode * | getLayerNode () const
void | attachItemToNode (ILayer *_layer, ILayerNode *_node) override
void | detachFromLayer () override
void | upLayerItem () override
void | setRenderItemTexture (ITexture *_texture)
void | addChildItem (LayerItem *_item)
void | removeChildItem (LayerItem *_item)
void | addChildNode (LayerItem *_item)
void | removeChildNode (LayerItem *_item)
void | addRenderItem (ISubWidget *_item)
void | removeAllRenderItems ()
void | saveLayerItem ()
void | restoreLayerItem ()
Public Member Functions inherited from MyGUI::ILayerItem
virtual | ~ILayerItem ()=default
virtual ILayerItem * | getLayerItemByPoint (int _left, int _top) const =0
virtual const IntCoord & | getLayerItemCoord () const =0
virtual void | resizeLayerItemView (const IntSize &_oldView, const IntSize &_newView)=0

## Protected Member Functions

void | attachToLayerItemNode (ILayerNode *_item, bool _deep)
void | detachFromLayerItemNode (bool _deep)

## Detailed Description

Definition at line 20 of file MyGUI_LayerItem.h.

## Member Function Documentation

## addChildItem()

void MyGUI::LayerItem::addChildItem | ( | LayerItem * | _item | ) |

Definition at line 14 of file MyGUI_LayerItem.cpp.

## addChildNode()

void MyGUI::LayerItem::addChildNode | ( | LayerItem * | _item | ) |

Definition at line 30 of file MyGUI_LayerItem.cpp.

## addRenderItem()

void MyGUI::LayerItem::addRenderItem | ( | ISubWidget * | _item | ) |

Definition at line 48 of file MyGUI_LayerItem.cpp.

## attachItemToNode()

void MyGUI::LayerItem::attachItemToNode | ( | ILayer * | _layer,
|  | ILayerNode * | _node )

override virtual

Implements MyGUI::ILayerItem.

Definition at line 88 of file MyGUI_LayerItem.cpp.

## attachToLayerItemNode()

void MyGUI::LayerItem::attachToLayerItemNode | ( | ILayerNode * | _item,
|  | bool | _deep )

protected

Definition at line 130 of file MyGUI_LayerItem.cpp.

## detachFromLayer()

void MyGUI::LayerItem::detachFromLayer | ( |  | ) |

override virtual

Implements MyGUI::ILayerItem.

Definition at line 96 of file MyGUI_LayerItem.cpp.

## detachFromLayerItemNode()

void MyGUI::LayerItem::detachFromLayerItemNode | ( | bool | _deep | ) |

protected

Definition at line 158 of file MyGUI_LayerItem.cpp.

## getLayer()

ILayer * MyGUI::LayerItem::getLayer | ( |  | ) | const

Definition at line 191 of file MyGUI_LayerItem.cpp.

## getLayerNode()

ILayerNode * MyGUI::LayerItem::getLayerNode | ( |  | ) | const

Definition at line 196 of file MyGUI_LayerItem.cpp.

## removeAllRenderItems()

void MyGUI::LayerItem::removeAllRenderItems | ( |  | ) |

Definition at line 53 of file MyGUI_LayerItem.cpp.

## removeChildItem()

void MyGUI::LayerItem::removeChildItem | ( | LayerItem * | _item | ) |

Definition at line 23 of file MyGUI_LayerItem.cpp.

## removeChildNode()

void MyGUI::LayerItem::removeChildNode | ( | LayerItem * | _item | ) |

Definition at line 41 of file MyGUI_LayerItem.cpp.

## restoreLayerItem()

void MyGUI::LayerItem::restoreLayerItem | ( |  | ) |

Definition at line 79 of file MyGUI_LayerItem.cpp.

## saveLayerItem()

void MyGUI::LayerItem::saveLayerItem | ( |  | ) |

Definition at line 74 of file MyGUI_LayerItem.cpp.

## setRenderItemTexture()

void MyGUI::LayerItem::setRenderItemTexture | ( | ITexture * | _texture | ) |

Definition at line 59 of file MyGUI_LayerItem.cpp.

## upLayerItem()

void MyGUI::LayerItem::upLayerItem | ( |  | ) |

override virtual

Implements MyGUI::ILayerItem.

Definition at line 120 of file MyGUI_LayerItem.cpp.

The documentation for this class was generated from the following files:

- MyGUI_LayerItem.h
- MyGUI_LayerItem.cpp